EDIT - bug #7665

ConcurrentModificationException when closing Editor

08/20/2018 10:11 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal Found in Version:

Description

When closing editor a ConcurrentModificationException occurs:
Related issues:

Related to EDIT - bug #7112: Ask for saving dirty editors when closing Taxeditor New

Associated revisions

Revision c7b20ed3 - 08/22/2018 12:25 PM - Patrick Plitzner

fix #7665 Use iterator to avoid ConcurrentModificationException

History

#1 - 08/21/2018 04:10 PM - Patrick Plitzner

- Related to bug #7112: Ask for saving dirty editors when closing Taxeditor added

#2 - 08/22/2018 11:28 AM - Andreas Mdiller

- Tags set to eclipse4
#3 - 08/22/2018 11:30 AM - Andreas Miiller

- Status changed from New to In Progress

- Assignee changed from Katja Luther to Patrick Plitzner
- Priority changed from Priority14 to Highest

- Target version changed from Unassigned CDM tickets to Release 5.3

use iterator.remove()

#4 - 08/22/2018 12:24 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

| could never reproduce this problem, so for reviewing we could just wait test for a while and see if it happens again.

#5 - 08/22/2018 12:25 PM - Patrick Plitzner
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|c7b20ed3c866508182a3d5d1b44b57fc1244b618.

#6 - 08/22/2018 12:35 PM - Andreas Miiller

Patrick Plitzner wrote:

Applied in changeset taxeditor|c7b20ed3c866508182a3d5d1b44b57fc1244b618.

Not sure if this works. | thought the remove is on the iterator itself, but it is on it's own elements (which might be part of the loop elements?). But let's
see. | agree to wait if it happens again. Anyway, not a critical issue.

| will leave it open until next release.

#7 - 11/19/2019 04:59 PM - Andreas Miuller

I think it happens still from time to time.

#8 - 01/20/2021 06:33 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

If at all it happens very seldom. We should open a new ticket with a new stacktrace if it happens again.
